### Enumeration

# GdkPixdata PixdataDumpType

#### Declaration

    flags GdkPixdata.PixdataDumpType

#### Description [src]

An enumeration which is used by `gdk_pixdata_to_csource()` to determine the form of C source to be generated. The three values `GDK_PIXDATA_DUMP_PIXDATA_STREAM`, `GDK_PIXDATA_DUMP_PIXDATA_STRUCT` and `GDK_PIXDATA_DUMP_MACROS` are mutually exclusive, as are `GDK_PIXBUF_DUMP_GTYPES` and `GDK_PIXBUF_DUMP_CTYPES`. The remaining elements are optional flags that can be freely added.

Deprecated since: | 2.32
Please do not use it in newly written code.

#### Members

Name | Description
--- | ---
`GDK_PIXDATA_DUMP_PIXDATA_STREAM` | Generate pixbuf data stream (a single string containing a serialized `GdkPixdata` structure in network byte order).
`GDK_PIXDATA_DUMP_PIXDATA_STRUCT` | Generate `GdkPixdata` structure (needs the `GdkPixdata` structure definition from gdk-pixdata.h).
`GDK_PIXDATA_DUMP_MACROS` | Generate _ROWSTRIDE, _WIDTH, _HEIGHT, _BYTES_PER_PIXEL and _RLE_PIXEL_DATA or _PIXEL_DATA macro definitions for the image.
`GDK_PIXDATA_DUMP_GTYPES` | Generate GLib data types instead of standard C data types.
`GDK_PIXDATA_DUMP_CTYPES` | Generate standard C data types instead of GLib data types.
`GDK_PIXDATA_DUMP_STATIC` | Generate static symbols.
`GDK_PIXDATA_DUMP_CONST` | Generate const symbols.
`GDK_PIXDATA_DUMP_RLE_DECODER` | Provide a *_RUN_LENGTH_DECODE(image_buf, rle_data, size, bpp) macro definition to decode run-length encoded image data.